## org.cybergarage.upnp.xml
Class StateVariableData

    java.lang.Object
      org.cybergarage.upnp.xml.NodeData
          org.cybergarage.upnp.xml.StateVariableData

    public class StateVariableData

extends NodeData

Constructor Summary
`StateVariableData()`

Method Summary
`QueryListener` `getQueryListener()`
`QueryResponse` `getQueryResponse()`
`String` `getValue()`
`void` `setQueryListener(QueryListener queryListener)`
`void` `setQueryResponse(QueryResponse res)`
`void` `setValue(String value)`

Methods inherited from class org.cybergarage.upnp.xml.NodeData
`getNode, setNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StateVariableData

    public StateVariableData()

Method Detail

### getValue

    public String getValue()

### setValue

    public void setValue(String value)

### getQueryListener

    public QueryListener getQueryListener()

### setQueryListener

    public void setQueryListener(QueryListener queryListener)

### getQueryResponse

    public QueryResponse getQueryResponse()

### setQueryResponse

    public void setQueryResponse(QueryResponse res)